"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint import/no-extraneous-dependencies: 0 */
/* eslint no-console: 0 */
const chalk_1 = __importDefault(require("chalk"));
const printBuildError_1 = __importDefault(require("react-dev-utils/printBuildError"));
const build_wrapper_1 = __importDefault(require("./build-wrapper"));
const webpack_server_prod_1 = __importDefault(require("../../configs/webpack.server.prod"));
console.log(chalk_1.default.magenta('Building server...'));
(0, build_wrapper_1.default)(webpack_server_prod_1.default)
    .then(({ warnings }) => {
    if (warnings.length) {
        console.log(chalk_1.default.yellow('Server compiled with warnings.\n'));
        console.log(warnings.join('\n\n'));
        console.log(`Search for the ${chalk_1.default.underline(chalk_1.default.yellow('keywords'))} to learn more about each warning.`);
        console.log(`To ignore, add ${chalk_1.default.cyan('// eslint-disable-next-line')} to the line before.`);
    }
    else {
        console.log(chalk_1.default.green('Server compiled successfully.\n'));
    }
})
    .catch((err) => {
    console.log(chalk_1.default.red('Failed to compile server.\n'));
    (0, printBuildError_1.default)(err);
    process.exit(1);
});
