"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_1 = __importDefault(require("webpack"));
const webpack_bundle_analyzer_1 = require("webpack-bundle-analyzer");
const make_tmp_dir_1 = __importDefault(require("../util/make-tmp-dir"));
const webpack_client_prod_1 = __importDefault(require("../../configs/webpack.client.prod"));
const app_configs_1 = __importDefault(require("../../configs/app-configs"));
(() => __awaiter(void 0, void 0, void 0, function* () {
    let clientWebpackConfigs = Array.isArray(webpack_client_prod_1.default) ? webpack_client_prod_1.default : [webpack_client_prod_1.default];
    const promises = clientWebpackConfigs.map((webpackConfig, i) => __awaiter(void 0, void 0, void 0, function* () {
        const tmpDir = yield (0, make_tmp_dir_1.default)(i.toString());
        webpackConfig.plugins = [
            ...(webpackConfig.plugins || []),
            new webpack_bundle_analyzer_1.BundleAnalyzerPlugin({
                generateStatsFile: true,
                statsFilename: app_configs_1.default.statsOutputPath,
                analyzerPort: 'auto',
            }),
        ];
        webpackConfig.output = Object.assign(Object.assign({}, webpackConfig.output), { path: tmpDir });
    }));
    yield Promise.all(promises);
    (0, webpack_1.default)(clientWebpackConfigs).run(() => { });
}))();
