"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const app_configs_1 = __importDefault(require("../../configs/app-configs"));
const run_compilers_1 = require("../util/run-compilers");
process.env.BROWSERSLIST_CONFIG =
    process.env.BROWSERSLIST_CONFIG ||
        require.resolve("../../../.browserslistrc");
if (app_configs_1.default.tsconfig && app_configs_1.default.disableDevWebpackTypecheck) {
    const TSC_WATCH_COMMAND = [
        require.resolve("typescript/lib/tsc.js"),
        "--watch",
        "--noEmit",
        "--project",
        app_configs_1.default.tsconfig,
        "--skipLibCheck",
    ];
    (0, run_compilers_1.runCompilers)([
        require.resolve("./client"),
        require.resolve("./server"),
        TSC_WATCH_COMMAND,
    ]);
}
else {
    (0, run_compilers_1.runCompilers)([require.resolve("./client"), require.resolve("./server")]);
}
