"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const util_1 = __importDefault(require("util"));
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const nodeMakeTmpDir = util_1.default.promisify(fs_1.default.mkdtemp);
/**
 * Создает и возвращает временную папку
 * @returns {Promise<string>}
 */
function makeTmpDir(prefix) {
    return __awaiter(this, void 0, void 0, function* () {
        return yield nodeMakeTmpDir(path_1.default.join(os_1.default.tmpdir(), prefix || ''));
    });
}
exports.default = makeTmpDir;
