"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runClientDevServer = void 0;
const webpack_1 = __importDefault(require("webpack"));
const webpack_dev_server_1 = __importDefault(require("webpack-dev-server"));
const dev_server_1 = __importDefault(require("../../configs/dev-server"));
const print_compiler_output_1 = __importDefault(require("../start/print-compiler-output"));
const WebpackDevServerUtils_1 = require("react-dev-utils/WebpackDevServerUtils");
function runClientDevServer(configuration) {
    return __awaiter(this, void 0, void 0, function* () {
        const clientCompiler = (0, webpack_1.default)(configuration); // типы вебпака не умеют выбирать между конфигурациями и массивом конфигураций
        const clientDevServer = new webpack_dev_server_1.default(dev_server_1.default, clientCompiler);
        clientCompiler.hooks.invalid.tap('client', () => console.log('Compiling client...'));
        clientCompiler.hooks.done.tap('client', (stats) => (0, print_compiler_output_1.default)('Client', stats));
        const DEFAULT_PORT = dev_server_1.default.port;
        const HOST = '0.0.0.0';
        try {
            const port = yield (0, WebpackDevServerUtils_1.choosePort)(HOST, +(DEFAULT_PORT || 0));
            if (!port) {
                // We have not found a port.
                return;
            }
            clientDevServer.startCallback(() => {
                console.log(`Client dev server running at http://${HOST}:${port}...`);
            });
        }
        catch (err) {
            if (err && err.message) {
                console.log(err.message);
            }
            process.exit(1);
        }
    });
}
exports.runClientDevServer = runClientDevServer;
