"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runServerWatchCompiler = void 0;
const webpack_1 = __importDefault(require("webpack"));
const print_compiler_output_1 = __importDefault(require("../start/print-compiler-output"));
const app_configs_1 = __importDefault(require("../../configs/app-configs"));
function runServerWatchCompiler(config) {
    const serverCompiler = (0, webpack_1.default)(config);
    serverCompiler.hooks.compile.tap('server', () => console.log('Compiling server...'));
    serverCompiler.hooks.invalid.tap('server', () => console.log('Compiling server...'));
    serverCompiler.hooks.done.tap('server', (stats) => (0, print_compiler_output_1.default)('Server', stats));
    serverCompiler.watch({
        aggregateTimeout: 50,
        ignored: new RegExp(app_configs_1.default.watchIgnorePath.join('|')),
    }, () => {
    });
}
exports.runServerWatchCompiler = runServerWatchCompiler;
