import { AppConfigs, AppContext } from './types';
/**
 * Обновление ключей конфига, зависящих от других. Это нужно делать в самый последний момент
 */
export declare function calculateDependentConfig(config: AppConfigs): {
    clientPolyfillsEntry: string[];
    clientServerPort: number;
    serverPort: number;
    debug: boolean;
    devSourceMaps: string;
    devServerCors: boolean;
    useServerHMR: boolean;
    presets: string | null;
    proxy: {
        [url: string]: import("webpack-dev-server").ProxyConfigArrayItem;
    } | null;
    buildPath: string;
    assetsPath: string;
    additionalBuildPath: string[];
    statsOutputFilename: string;
    serverEntry: string | string[] | Record<string, string | string[]>;
    serverOutput: string;
    clientEntry: string | string[] | Record<string, string | string[]>;
    dockerRegistry: string;
    baseDockerImage: string;
    nginxRootPath: string;
    runFromNonRootUser: boolean;
    removeDevDependenciesDuringDockerBuild: boolean;
    archiveName: string;
    keepPropTypes: boolean;
    useTscLoader: boolean;
    webpack4Compatibility: boolean;
    installServerSourceMaps: boolean;
    disableDevWebpackTypecheck: boolean;
    dataUrlMaxSize?: number | undefined;
    imageMinimizer?: {
        svg?: {
            enabled?: boolean | undefined;
        } | undefined;
        gif?: {
            enabled?: boolean | undefined;
            optimizationLevel?: number | undefined;
        } | undefined;
        jpg?: {
            enabled?: boolean | undefined;
            quality: number;
        } | undefined;
        png?: {
            enabled?: boolean | undefined;
            optimizationLevel?: number | undefined;
            bitDepthReduction?: boolean | undefined;
            colorTypeReduction?: boolean | undefined;
            paletteReduction?: boolean | undefined;
            interlaced?: boolean | undefined;
        } | undefined;
    } | undefined;
    componentsTheme: string | null;
    keepCssVars: boolean;
    compatModules: {
        shared?: {
            [libraryName: string]: string;
        } | undefined;
        exposes?: {
            [moduleId: string]: {
                entry: string;
                externals?: Record<string, string> | undefined;
                cssPrefix?: string | false | undefined;
            };
        } | undefined;
    } | null;
    modules: {
        name?: string | undefined;
        shared: any;
        exposes?: Record<string, string> | undefined;
    } | null;
};
/**
 * Обновление контекста в зависимости от ключей конфига
 */
export declare function calculateDependentContext(config: AppConfigs, context: AppContext): AppContext;
