"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWithConfigFile = void 0;
const path_1 = __importDefault(require("path"));
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const resolve_1 = require("../util/resolve");
const validate_settings_keys_1 = require("./validate-settings-keys");
function updateWithConfigFile(config, context) {
    const appConfigPath = (0, resolve_1.tryResolve)(path_1.default.join(context.cwd, '/arui-scripts.config'));
    if (appConfigPath) {
        let appSettings = require(appConfigPath);
        if (appSettings.__esModule) {
            // ts-node импортирует esModules, из них надо вытягивать default именно так
            appSettings = appSettings.default;
        }
        (0, validate_settings_keys_1.validateSettingsKeys)(config, appSettings, appConfigPath);
        return (0, lodash_merge_1.default)(config, appSettings);
    }
    return config;
}
exports.updateWithConfigFile = updateWithConfigFile;
