"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWithEnv = void 0;
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const validate_settings_keys_1 = require("./validate-settings-keys");
function updateWithEnv(config) {
    if (!process.env.ARUI_SCRIPTS_CONFIG) {
        return config;
    }
    try {
        console.warn('Используйте ARUI_SCRIPTS_CONFIG только для отладки');
        const envSettings = JSON.parse(process.env.ARUI_SCRIPTS_CONFIG);
        (0, validate_settings_keys_1.validateSettingsKeys)(config, envSettings, 'ENV');
        return (0, lodash_merge_1.default)(config, envSettings);
    }
    catch (e) {
        console.error(e);
        throw Error('Not valid JSON passed. Correct it. For example: ARUI_SCRIPTS_CONFIG="{\"serverPort\":3333}"');
    }
}
exports.updateWithEnv = updateWithEnv;
