"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.babelDependencies = void 0;
const apply_overrides_1 = __importDefault(require("./util/apply-overrides"));
const app_configs_1 = __importDefault(require("./app-configs"));
exports.babelDependencies = (0, apply_overrides_1.default)('babelDependencies', {
    sourceType: 'unambiguous',
    presets: [
        [
            require.resolve('@babel/preset-env'),
            {
                // Allow importing core-js in entrypoint and use browserlist to select polyfills
                useBuiltIns: 'entry',
                // Set the corejs version we are using to avoid warnings in console
                // This will need to change once we upgrade to corejs@3
                corejs: 3,
                // Exclude transforms that make all code slower
                exclude: ['transform-typeof-symbol'],
            },
        ]
    ],
    plugins: [
        [
            require.resolve('@babel/plugin-transform-runtime'),
            {
                corejs: false,
                helpers: true,
                // By default, babel assumes babel/runtime version 7.0.0-beta.0,
                // explicitly resolving to match the provided helper functions.
                // https://github.com/babel/babel/issues/10261
                version: app_configs_1.default.babelRuntimeVersion,
                regenerator: true,
            },
        ]
    ]
});
