"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImageMin = void 0;
const image_minimizer_webpack_plugin_1 = __importDefault(require("image-minimizer-webpack-plugin"));
const app_configs_1 = __importDefault(require("../../../app-configs"));
const getImageMin = () => {
    var _a;
    const { svg, gif, jpg, png } = (_a = app_configs_1.default.imageMinimizer) !== null && _a !== void 0 ? _a : {};
    const doesAnyMinificationEnabled = (svg === null || svg === void 0 ? void 0 : svg.enabled) || (gif === null || gif === void 0 ? void 0 : gif.enabled) || (jpg === null || jpg === void 0 ? void 0 : jpg.enabled) || (png === null || png === void 0 ? void 0 : png.enabled);
    return [
        doesAnyMinificationEnabled &&
            new image_minimizer_webpack_plugin_1.default({
                minimizer: {
                    implementation: image_minimizer_webpack_plugin_1.default.imageminMinify,
                    options: {
                        plugins: [
                            (jpg === null || jpg === void 0 ? void 0 : jpg.enabled) && ["mozjpeg", {
                                    quality: jpg === null || jpg === void 0 ? void 0 : jpg.quality,
                                    progressive: true
                                }],
                            (png === null || png === void 0 ? void 0 : png.enabled) && ["optipng", {
                                    optimizationLevel: png === null || png === void 0 ? void 0 : png.optimizationLevel,
                                    bitDepthReduction: png === null || png === void 0 ? void 0 : png.bitDepthReduction,
                                    colorTypeReduction: png === null || png === void 0 ? void 0 : png.colorTypeReduction,
                                    paletteReduction: png === null || png === void 0 ? void 0 : png.paletteReduction,
                                    interlaced: png === null || png === void 0 ? void 0 : png.interlaced
                                }],
                            (svg === null || svg === void 0 ? void 0 : svg.enabled) && ["svgo"],
                            (gif === null || gif === void 0 ? void 0 : gif.enabled) && ["gifsicle", {
                                    optimizationLevel: gif === null || gif === void 0 ? void 0 : gif.optimizationLevel,
                                    interlaced: true
                                }],
                        ].filter(Boolean)
                    }
                }
            })
    ];
};
exports.getImageMin = getImageMin;
