"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const app_configs_1 = __importDefault(require("./app-configs"));
const apply_overrides_1 = __importDefault(require("./util/apply-overrides"));
const devServerConfig = (0, apply_overrides_1.default)('devServer', {
    port: app_configs_1.default.clientServerPort,
    liveReload: false,
    client: {
        overlay: {
            errors: true,
            warnings: false,
        },
    },
    devMiddleware: {
        publicPath: `/${app_configs_1.default.publicPath}`,
    },
    static: [app_configs_1.default.serverOutputPath],
    proxy: Object.assign(app_configs_1.default.proxy || {}, {
        '/**': Object.assign({ target: `http://localhost:${app_configs_1.default.serverPort}`, bypass: (req) => {
                var _a;
                const assetsRoot = path_1.default.normalize(`/${app_configs_1.default.publicPath}`).replace(/\\/g, '/');
                if ((_a = req === null || req === void 0 ? void 0 : req.url) === null || _a === void 0 ? void 0 : _a.startsWith(assetsRoot)) {
                    return req.url;
                }
                return null;
            } }, (app_configs_1.default.devSourceMaps.includes('eval') || app_configs_1.default.devServerCors ? {
            onProxyRes: (proxyRes) => {
                // Для дев режима, когда мы используем в качестве соурсмапов что-то, основанное на eval - нужно
                // разрешить браузеру исполнять наш код, даже когда content-security-policy приложения не позволяет этого делать.
                if (app_configs_1.default.devSourceMaps.includes('eval')) {
                    const cspHeader = proxyRes.headers['content-security-policy'];
                    if (typeof cspHeader === 'string' && !cspHeader.includes('unsafe-eval')) {
                        proxyRes.headers['content-security-policy'] = cspHeader
                            .replace(/script-src/, 'script-src \'unsafe-eval\'');
                    }
                }
                // если включен devServerCors, то нужно принудительно менять статус ответа на 200, чтобы
                // браузер не отклонял ответы с CORS
                if (app_configs_1.default.devServerCors && proxyRes.method === 'OPTIONS') {
                    proxyRes.statusCode = 200;
                }
            },
        } : {})),
    }),
    headers: app_configs_1.default.devServerCors
        ? {
            'Access-Control-Allow-Origin': '*',
            'Access-Control-Allow-Headers': '*',
            'Access-Control-Allow-Methods': '*',
        }
        : {},
});
exports.default = devServerConfig;
