/**
 * Функция для создания конфигурационного файла postcss
 * @param {String[]} plugins список плагинов
 * @param {Object} options коллекция конфигураций плагинов, где ключ - название плагина, а значение - аргумент для инициализации
 * @returns {*}
 */
export declare function createPostcssConfig(plugins: string[], options: Record<string, unknown>): string[] | unknown[];
export declare const postcssPlugins: string[];
export declare const postcssPluginsOptions: {
    'postcss-import': {
        path: string[];
    };
    '@csstools/postcss-global-data': {
        files: string[];
    };
    'postcss-url': {
        url: string;
    };
    'postcss-color-mod-function': {
        unresolved: string;
    };
    'postcss-custom-properties': {
        preserve: boolean;
    };
};
