"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.processAssetsPluginOutput = void 0;
const path_1 = __importDefault(require("path"));
const app_configs_1 = __importDefault(require("./app-configs"));
const modules_1 = require("./modules");
function processAssetsPluginOutput(assets) {
    var _a;
    let adjustedAssets = assets;
    Object.keys(adjustedAssets).forEach((key) => {
        // заменяем путь к файлам на корректный в случае если в нем есть 'auto/'
        adjustedAssets[key] = {
            css: replaceAutoPath(adjustedAssets[key].css),
            js: replaceAutoPath(adjustedAssets[key].js),
        };
    });
    // добавляем в манифест js-файлы для модулей
    Object.keys(((_a = app_configs_1.default.modules) === null || _a === void 0 ? void 0 : _a.exposes) || {}).forEach((moduleName) => {
        var _a, _b;
        if ((_b = (_a = app_configs_1.default.compatModules) === null || _a === void 0 ? void 0 : _a.exposes) === null || _b === void 0 ? void 0 : _b[moduleName]) {
            throw new Error(`Модуль ${moduleName} определен как module и как compat. Поменяйте название одного из модулей или удалите его`);
        }
        adjustedAssets[moduleName] = {
            mode: 'default',
            js: path_1.default.join(app_configs_1.default.publicPath, modules_1.MODULES_ENTRY_NAME),
        };
    });
    const result = Object.assign(Object.assign({}, adjustedAssets), { __metadata__: {
            version: app_configs_1.default.version,
            name: app_configs_1.default.normalizedName,
        } });
    return JSON.stringify(result);
}
exports.processAssetsPluginOutput = processAssetsPluginOutput;
function replaceAutoPath(assets) {
    if (!assets) {
        return assets;
    }
    if (Array.isArray(assets)) {
        return assets.map((asset) => asset.replace(/^auto\//, app_configs_1.default.publicPath));
    }
    return assets.replace(/^auto\//, app_configs_1.default.publicPath);
}
