"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findLoader = void 0;
function findLoader(config, testRule) {
    var _a;
    for (const rule of config.module.rules) {
        if (rule === '...' || !rule) {
            // Webpack имеет странный тип для rules, который позволяет в него положить строку '...'. Успокаиваем TS
            continue;
        }
        if (rule.test && rule.test.toString() === testRule) {
            return rule;
        }
        if (rule.oneOf) {
            for (const oneOfRule of rule.oneOf) {
                if (oneOfRule && oneOfRule.test && ((_a = oneOfRule === null || oneOfRule === void 0 ? void 0 : oneOfRule.test) === null || _a === void 0 ? void 0 : _a.toString()) === testRule) {
                    return oneOfRule;
                }
            }
        }
    }
}
exports.findLoader = findLoader;
