export type Entry = string | string[] | Record<string, string | string[]>;
/**
 * @param {string|string[]|object} entryPoint Строка, массив строк или объект с энтрипоинтами
 * @param {Function} getSingleEntry Функция, возвращающая конфигурацию для одного entryPoint
 * @param args Дополнительные аргументы, которые будут переданы в getSingleEntry функцию
 * @returns {*}
 */
declare function getEntry<AdditionalArgs extends unknown[]>(entryPoint: Entry, getSingleEntry: (entry: string[], ...args: AdditionalArgs) => string[], ...args: AdditionalArgs): string[] | Record<string, string | string[]>;
export default getEntry;
