"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPolyfills = void 0;
// require.resolve вынесен как параметр функции для того, чтоб это можно было протестировать.
// на данный момент jest не дает возможности мокать require.resolve https://github.com/facebook/jest/issues/9543
function getPolyfills(config, requireResolve = require.resolve) {
    const polyfills = [];
    if (config.clientPolyfillsEntry && Array.isArray(config.clientPolyfillsEntry)) {
        polyfills.push(...config.clientPolyfillsEntry);
    }
    else if (config.clientPolyfillsEntry) {
        polyfills.push(config.clientPolyfillsEntry);
    }
    else {
        // Для сохранения обратной совместимости нам надо добавлять полифилы из физера только тогда, когда пользователь
        // не задал свои кастомные полифилы.
        try {
            const aruiPolyfills = requireResolve('arui-feather/polyfills');
            polyfills.push(aruiPolyfills);
        }
        catch (error) {
            // just ignore it
        }
    }
    return polyfills;
}
exports.getPolyfills = getPolyfills;
