"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveNodeModuleRelativeTo = exports.tryResolve = void 0;
const path_1 = __importDefault(require("path"));
function tryResolve(...args) {
    try {
        return require.resolve(...args);
    }
    catch (e) {
        return undefined;
    }
}
exports.tryResolve = tryResolve;
/**
 * Возвращает полный путь до модуля из node_modules относительно базового пути.
 * Может быть полезно для определения пути до модуля, когда в проекте установлено сразу несколько модулей.
 * /project
 * --/node_modules
 * ----/module1 // через эту функцию мы получим этот модуль
 * ----/arui-scripts
 * ------/node_modules
 * --------/module1 // через require.resolve мы получим этот модуль
 */
function resolveNodeModuleRelativeTo(basePath, moduleName) {
    return path_1.default.resolve(basePath, `node_modules/${moduleName}`);
}
exports.resolveNodeModuleRelativeTo = resolveNodeModuleRelativeTo;
