import webpack, { Configuration } from 'webpack';
import { Entry } from './util/get-entry';
/**
 * Создает конфигурацию для сборки клиентского кода. Может быть использована для создания дополнительных конфигураций.
 * @param mode Режим сборки (dev или prod)
 * @param entry Точка входа, любой валидный вход для webpack
 * @param configName Имя конфигурации, если не указано, то используется имя по умолчанию
 */
export declare const createSingleClientWebpackConfig: (mode: 'dev' | 'prod', entry: Entry, configName?: string) => Configuration;
export declare const createClientWebpackConfig: (mode: 'dev' | 'prod') => webpack.Configuration | webpack.Configuration[];
