"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postCssPrefix = void 0;
const VisitedRule = Symbol('VisitedRule');
const postCssPrefix = (options) => {
    const prefix = (options === null || options === void 0 ? void 0 : options.prefix) || '.prefix ';
    return ({
        postcssPlugin: '@alfalab/postcss-prefix-selector',
        RootExit(root) {
            if (root[VisitedRule]) {
                return;
            }
            root[VisitedRule] = true;
            root.walkRules((rule) => {
                if (!rule.parent || rule.parent.type !== 'root' && (rule.parent.type !== 'atrule' || rule.parent.name !== 'media')) {
                    return;
                }
                rule.selectors = rule.selectors.map((selector, index) => {
                    if (index === 0) {
                        return `${prefix}${selector}`;
                    }
                    return selector;
                });
            });
        },
    });
};
exports.postCssPrefix = postCssPrefix;
postCssPrefix.postcss = true;
