"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const app_configs_1 = __importDefault(require("../configs/app-configs"));
const apply_overrides_1 = __importDefault(require("../configs/util/apply-overrides"));
const nginxNonRootPart = app_configs_1.default.runFromNonRootUser ?
    `RUN chown -R nginx:nginx /src && \\
       mkdir -p /var/lib/nginx && \\
       chown -R nginx:nginx /var/lib/nginx && \\
       chown -R nginx:nginx /var/log/nginx && \\
       chown -R nginx:nginx /etc/nginx/conf.d

   RUN touch /var/run/nginx.pid && \\
       chown -R nginx:nginx /var/run/nginx.pid

   USER nginx`
    : '';
const dockerfileTemplate = `
FROM ${app_configs_1.default.baseDockerImage}
ARG START_SH_LOCATION
ARG NGINX_CONF_LOCATION

WORKDIR /src
ADD $START_SH_LOCATION /src/start.sh
ADD $NGINX_CONF_LOCATION /src/nginx.conf
${nginxNonRootPart}
${app_configs_1.default.runFromNonRootUser ? 'ADD --chown=nginx:nginx . /src' : 'ADD . /src'}

`;
exports.default = (0, apply_overrides_1.default)('Dockerfile', dockerfileTemplate);
