"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const app_configs_1 = __importDefault(require("../configs/app-configs"));
const apply_overrides_1 = __importDefault(require("../configs/util/apply-overrides"));
const nginxTemplate = `client_max_body_size 20m;

server {
    listen ${app_configs_1.default.clientServerPort};
    server_tokens off;

    location / {
        proxy_set_header Host $host;
        proxy_pass http://127.0.0.1:${app_configs_1.default.serverPort};
    }

    location /${app_configs_1.default.publicPath} {
        expires max;
        add_header Cache-Control public;
        root ${app_configs_1.default.nginxRootPath}/${app_configs_1.default.buildPath};
    }

    location ~ /${app_configs_1.default.publicPath}.*\\.js$ {
        expires max;
        add_header Cache-Control public;
        root ${app_configs_1.default.nginxRootPath}/${app_configs_1.default.buildPath};
        types {
            text/javascript  js;
        }
    }
}`;
exports.default = (0, apply_overrides_1.default)('nginx', nginxTemplate);
