Особенности поведения
===

## node-externals

Сборка серверной части устроена таким образом, что большая часть `node_modules` не попадает в сборку (в файл `.build/server.js`),
а загружается стандартным `require` node.js.
Основной мотивацией для это являются многие старые пакеты, которые делают "странные" вещи с require - например, пытаются
подключать файлы динамически, используют `require.extensions` и т.д. Это может приводить к ошибкам сборки или даже к
ошибкам во время выполнения.

Но в случае react-компонентов, мы зачастую запрашиваем кроме кода компонентов еще и `.css`, `.png` и другие файлы.
`require` из node.js на таких местах ломается. Поэтому наши внутренние библиотеки компонентов все же должны попадать в
собранный файл `.build/server.js`. Всё это сделано с помощью [добавления их в исключение](src/configs/webpack.server.dev.ts#L59)
плагина [webpack-node-externals](https://www.npmjs.com/package/webpack-node-externals).
В случае, если вам необходима обработка не-js файлов из других внешних модулей - вы можете
воспользоваться механизмом `overrides`, и ключом `serverExternalsExemptions`.
По умолчанию же все не-js файлы из внешних модулей будут проигнорированы.

## Кеширование сборки
В dev сборке для сервера и клиента настроено кеширование. Оно должно нормально работать когда вы просто работаете
над проектом - меняете ваш код, ставите новые зависимости и тд.

Но когда вы руками меняете код внутри node_modules - вы не сможете увидеть ваши изменения, так как webpack будет
использовать данные из кеша. Для того чтобы ваши изменения применились в сборке вам необходимо очистить кеш
webpack и перезапустить сборку. Кеши хранятся в папке `.cache` внутри `node_modules` вашего проекта.

```
rm -rf ./node_modules/.cache
```
